Page MenuHomePhabricator

ecore/thread: flush main loop threads while waiting during shutdown
ClosedPublic

Authored by zmike on Jun 26 2018, 3:31 PM.

Details

Summary

if a thread is actively waiting on the main loop in order to proceed
with its exit, a flush here avoids the case where the thread waits
until the main loop has exited
Depends on D6436

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jun 26 2018, 3:31 PM
zmike requested review of this revision.Jun 26 2018, 3:31 PM
ManMower accepted this revision.Jun 27 2018, 8:32 AM
This revision is now accepted and ready to land.Jun 27 2018, 8:32 AM
Closed by commit rEFL04d209e238a9: ecore/thread: flush main loop threads while waiting during shutdown (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 28 2018, 9:11 AM
This revision was automatically updated to reflect the committed changes.